be.ehealth.businessconnector.mycarenet.attestv2.builders

## Class RequestObjectBuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.attestv2.builders.RequestObjectBuilderFactory

-     public final class RequestObjectBuilderFactory
      extends Object

  Factory for all Builders that are necessary to create a request for eAttest. Creates a `RequestObjectBuilder`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_REQUESTBUILDER_CLASS` the default requestObjectBuilder implementation name.
    `static String` | `PROP_REQUESTBUILDER_CLASS` property name to set the desired implemenation class for the requestobjectbuilder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestObjectBuilder` | `getRequestObjectBuilder()` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_REQUESTBUILDER_CLASS

          public static final String PROP_REQUESTBUILDER_CLASS

      property name to set the desired implemenation class for the requestobjectbuilder. this class must implement the correct interface.
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUESTBUILDER_CLASS

          public static final String DEFAULT_REQUESTBUILDER_CLASS

      the default requestObjectBuilder implementation name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRequestObjectBuilder

          public static RequestObjectBuilder getRequestObjectBuilder()
                                                              throws TechnicalConnectorException

      Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ). By default, it would be
      Returns:
        `RequestObjectBuilder` the instance of the `RequestObjectBuilder`
      Throws:
        `TechnicalConnectorException`

Connector Package PERSDENTIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.